<div align="center">

<img width="" src="fastlane/metadata/android/en-US/images/icon.png"  width=160 height=160  align="center">

# Seal

### 只為 Android 而生的視訊/音訊下載程式


<a href="https://github.com/JunkFood02/Seal/blob/main/README.md">English</a>
&nbsp;&nbsp;| &nbsp;&nbsp;
繁體中文

[![F-Droid](https://img.shields.io/f-droid/v/com.junkfood.seal?color=b4eb12&label=F-Droid&logo=fdroid&logoColor=1f78d2)](https://f-droid.org/en/packages/com.junkfood.seal)
[![GitHub release (latest by date)](https://img.shields.io/github/v/release/JunkFood02/Seal?color=black&label=Stable&logo=github)](https://github.com/JunkFood02/Seal/releases/latest/)
[![GitHub release (latest by date including pre-releases)](https://img.shields.io/github/v/release/JunkFood02/Seal?include_prereleases&label=Preview&logo=Github)](https://github.com/JunkFood02/Seal/releases/)
[![Keep a Changelog](https://img.shields.io/badge/Changelog-lightgray?style=flat&color=gray&logo=keep-a-changelog)](https://github.com/JunkFood02/Seal/blob/main/CHANGELOG.md)
[![GitHub all releases](https://img.shields.io/github/downloads/JunkFood02/Seal/total?label=Downloads&logo=github)](https://github.com/JunkFood02/Seal/releases/)
[![GitHub Repo stars](https://img.shields.io/github/stars/JunkFood02/Seal?color=informational&label=Stars)](https://github.com/JunkFood02/Seal/stargazers)
[![Supported Sites](https://img.shields.io/badge/Supported-Sites-9cf.svg?style=flat)](https://github.com/yt-dlp/yt-dlp/blob/master/supportedsites.md)
[![Telegram Channel](https://img.shields.io/badge/Telegram-Seal-blue?style=flat&logo=telegram)](https://t.me/seal_app)
[![Matrix Space](https://img.shields.io/badge/Matrix-Seal-Black?style=flat&color=black&logo=matrix)](https://matrix.to/#/#seal-space:matrix.org)


</div>


## 📱 螢幕擷圖

<div align="center">
<div>
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/2.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/3.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/4.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/5.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/6.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/7.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/8.jpg" width="30%" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/9.jpg" width="30%" />
</div>
</div>

<br>

## 📖 特色功能

- 透過 [yt-dlp](https://github.com/yt-dlp/yt-dlp) (youtube-dl) 所支援的平臺下載視訊和音訊。

- 透過 [mutagen](https://github.com/quodlibet/mutagen)，內嵌中繼資料和視訊縮圖至擷取的音訊檔。

- 一鍵下載播放清單中的全數視訊。

- 支援使用內建之 [aria2c](https://github.com/aria2/aria2) 外部下載程式進行下載。

- 支援內嵌字幕至視訊檔案中。

- 支援執行 yt-dlp 自訂命令範本

- 提供應用程式內管理下載和自訂命令範本。

- 刪繁就簡、簡單易用。

- 使用 [Material Design 3](https://m3.material.io/) UI 風格規範，支援動態顏色主題。

- MAD: 全面使用 Kotlin 建構 UI 和編撰邏輯。單 Activity、無 fragments，僅使用 Compose Destinations。



## ⬇️ 如何下載

我們建議大多數裝置使用 **arm64-v8a** 版本的 APK 檔。

- 從 [GitHub releases](https://github.com/JunkFood02/Seal/releases/latest) 下載最新穩定發行版
  - 安裝 [預先發行版本](https://github.com/JunkFood02/Seal/releases/)，以幫助我們測試最新功能和變更

- 穩定發行版亦可於 [F-Droid](https://f-droid.org/packages/com.junkfood.seal/) 取得

<!-- [<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="70">](https://f-droid.org/packages/com.junkfood.seal/) -->

## 💬 如何聯繫

誠摯邀請您加入 [Telegram 頻道](https://t.me/seal_app) 或 [Matrix Space](https://matrix.to/#/#seal-space:matrix.org)，與我們一同討論、接收最新消息，以及軟體發行！

## 💖 贊助之友

<p><!-- sponsors --><a href="https://github.com/4kaimar"><img src="https://github.com/4kaimar.png" width="60px" alt="" /></a><a href="https://github.com/gordongw"><img src="https://github.com/gordongw.png" width="60px" alt="Gordon" /></a><a href="https://github.com/t1hta"><img src="https://github.com/t1hta.png" width="60px" alt="t1hta" /></a><a href="https://github.com/nameoneeman"><img src="https://github.com/nameoneeman.png" width="60px" alt="James" /></a><a href="https://github.com/iguanaguy44"><img src="https://github.com/iguanaguy44.png" width="60px" alt="" /></a><!-- sponsors --></p>


Seal 永遠提供眾人免費使用並開放原始碼。若您悅納，請考慮[贊助我](https://github.com/sponsors/JunkFood02)！

## 🤝 一同貢獻

永遠歡迎您的貢獻！

您可以在 [Hosted Weblate](https://hosted.weblate.org/projects/seal/)，參與 Seal 的翻譯。
	
[![Translate status](https://hosted.weblate.org/widgets/seal/-/strings/multi-auto.svg)](https://hosted.weblate.org/engage/seal/)
	
>**備註**
>
>請在回報錯誤、功能請求、求問，或提供任何改進建言之前，先閱讀 [CONTRIBUTING.md](https://github.com/JunkFood02/Seal/blob/main/CONTRIBUTING.md) 相關指引。

## ⭐️ Star 歷程

[![Star History Chart](https://api.star-history.com/svg?repos=JunkFood02/Seal&type=Timeline)](https://star-history.com/#JunkFood02/Seal&Timeline)


## 🧱 致謝

Seal 是基於 [youtubedl-android](https://github.com/yausername/youtubedl-android) 的 [yt-dlp](https://github.com/yt-dlp/yt-dlp) 簡易化 GUI。

部分 UI 設計和程式碼來自 [Read You](https://github.com/Ashinch/ReadYou) 和 [Music You](https://github.com/Kyant0/MusicYou)。

[dvd](https://github.com/yausername/dvd)

[Material color utilities](https://github.com/material-foundation/material-color-utilities)

[Monet](https://github.com/Kyant0/Monet)

## 📃 授權（本節僅供參考，敬請閱讀原文）

[![GitHub](https://img.shields.io/github/license/JunkFood02/Seal?style=for-the-badge)](https://github.com/JunkFood02/Seal/blob/main/LICENSE)

>**警告**
>
>除依據 GPLv3 授權之來源代碼外，
>各方均不得以 Seal 作為下載程式之應用程式命名，
>Seal 衍生產品亦之。
>衍生產品包括但不限於分支和非官方組建。

<div align="right">
<table><td>
<a href="#start-of-content">👆 回到置頂</a>
</td></table>
</div>
